%global momorel 1
%global artsver 1.5.6
%global artsrel 2m
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 d2e22dcbba267549bf3a93ed8bf715c2

Summary: KEuroCalc is a universal currency converter and calculator
Name: keurocalc
Version: 0.9.7
Release: %{momorel}m%{?dist}
License: GPL
URL: http://opensource.bureau-cornavin.com/keurocalc/
Group: Applications/Productivity
%NoSource 0 http://opensource.bureau-cornavin.com/%{name}/sources/%{name}-%{version}.tgz %{md5sum_src0}
Source1: admin.tar.bz2
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: gettext
BuildPreReq: automake, autoconf, libtool
BuildPreReq: desktop-file-utils

%description
KEuroCalc is a universal currency converter and calculator. It
can convert from and to many currencies, either with a fixed
conversion rate or a variable conversion rate. It directly
downloads the latest variable rates through the Internet

%prep
%setup -q -n %{name}

%patch0 -p1 -b .desktop~

# build fix
rm -rf admin
tar xf %{SOURCE1}

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/keurocalc.png %{buildroot}%{_datadir}/pixmaps/keurocalc.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-key Keywords \
  --add-category Office \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Applications/keurocalc.desktop

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in da es et fr it nb nl pt sv ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog INSTALL TODO
%{_bindir}/keurocalc
%{_datadir}/applications/kde/keurocalc.desktop
%{_datadir}/apps/keurocalc
%{_datadir}/doc/HTML/*/keurocalc
%{_datadir}/icons/*/*/*/keurocalc.png
%{_datadir}/locale/*/LC_MESSAGES/keurocalc.mo
%{_datadir}//pixmaps/keurocalc.png

%changelog
* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.7-1m)
- initial package for Momonga Linux
